下载 Bootstrap

下载 Bootstrap 以获得经过编译的 CSS 和 JavaScript 文件、源码文件,或者通过你所喜欢的包管理工具,例如 npm、RubyGems 等,添加到你的项目中。

Bootstrap CSS 和 JS 编译版

下载经过编译并可立即使用的 Bootstrap v4.0.0 安装包并添加到你的项目中。下载包中包含了如下文件:

  • 编译并经过压缩的 CSS 文件(参考 CSS 文件比较
  • 编译并经过压缩的 JavaScript 插件文件

不包含文档、源码或任何 JavaScript 依赖(jQuery 和 Popper.js)。

下载 Bootstrap

源码

利用下载的 Sass、JavaScript 源码以及文档文件,通过你自己的资源编译流程编译 Bootstrap。这种使用方式需要一些额外的工具:

  • Sass 编译器(Libsass 或 Ruby Sass 均被支持)用于将 SCSS 文件编译为 CSS 文件。
  • Autoprefixer 用于为某些 CSS 属性添加特定浏览器厂商的前缀。

你可能需要 编译工具,他们被用于开发 Bootstrap 和 Bootstrap 文档,但可能不适合你自己的项目使用。

下载Bootstrap 源码

BootstrapCDN

我们提供了 BootstrapCDN 免费加速服务,无需下载任何文件,直接引用 BootCDN 上的链接即可将 Bootstrap 引入到你的项目中。

<link rel="stylesheet" href="https://cdn.bootcss.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<script src="https://cdn.bootcss.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

如果你使用的是经过编译的 JavaScript 文件,不要忘了添加 jQuery 和 Popper.js 。

<script src="https://cdn.bootcss.com/jquery/3.2.1/jquery.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdn.bootcss.com/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>

包管理工具

利用一些流行的包管理工具能够将 Bootstrap 的 源码文件 添加到你的项目中。无论是什么包管理工具,Bootstrap 都 需要 Sass 编译器和 Autoprefixer 用于编译出和官方一致的 Bootstrap 文件。

npm

利用 npm 为你的 Node.js 项目安装 Bootstrap 的 npm 包:

npm install bootstrap

require('bootstrap') 能够将 Bootstrap 的所有 jQuery 插件加载到 jQuery 对象中。 bootstrap 模块本身不到处(export)任何内容。你可以手动加载 Bootstrap 的单个 jQuery 插件,这些插件就在安装包顶层目录下,即 /js/*.js 文件。

Bootstrap 的 package.json 文件包含了以下额外的元数据:

  • sass - Bootstrap 的 Sass 源文件的主文件路径
  • style - Bootstrap 的未压缩 CSS 文件的路径,这些文件依据默认设置编译(无定制)

RubyGems

在 Ruby 项目中利用 Bundler (推荐) 和 RubyGems 安装 Bootstrap,只需在 Gemfile 文件中添加如下代码即可:

gem 'bootstrap', '~> 4.0.0'

另外,如果你不使用 Bundler,还可以通过如下命令安装 Bootstrap:

gem install bootstrap -v 4.0.0

请参考 Bootstrap gem 的 README 文件 获取详细信息。

Composer 安装

你还可以使用 Composer 安装并管理 Bootstrap 的 Sass 和 JavaScript 文件:

composer require twbs/bootstrap:4.0.0

NuGet 安装

对于微软平台广大的 .NET 开发人员使用 NuGet 来安装并管理 Bootstrap 的 CSSSass 文件,以及 JavaScript 文件:

Install-Package bootstrap
Install-Package bootstrap.sass